libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa_controls_header Struct Reference

Serialized control packet header. More...

## Public Attributes
uint32_t | version
uint32_t | handle
uint32_t | entries
uint32_t | size
uint32_t | data_offset
enum ipa_controls_id_map_type | id_map_type
uint32_t | reserved [2]

## Detailed Description

Serialized control packet header.

## Member Data Documentation

## ◆ data_offset

uint32_t libcamera::ipa_controls_header::data_offset

Offset in bytes from the beginning of the packet of the data section start

## ◆ entries

uint32_t libcamera::ipa_controls_header::entries

Number of entries in the packet

## ◆ handle

uint32_t libcamera::ipa_controls_header::handle

For ControlInfoMap packets, this field contains a unique non-zero handle generated when the ControlInfoMap is serialized. For ControlList packets, this field contains the handle of the corresponding ControlInfoMap.

## ◆ id_map_type

enum ipa_controls_id_map_type libcamera::ipa_controls_header::id_map_type

The id map type as defined by the ipa_controls_id_map_type enumeration

## ◆ reserved

uint32_t libcamera::ipa_controls_header::reserved[2]

Reserved for future extensions

## ◆ size

uint32_t libcamera::ipa_controls_header::size

The total packet size in bytes

## ◆ version

uint32_t libcamera::ipa_controls_header::version

Control packet format version number (shall be IPA_CONTROLS_FORMAT_VERSION)

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_controls.h
- src/libcamera/ipa_controls.cpp